cURL
curl --request POST \
--url https://grm-api.vercel.app/category/faq \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"category": "<string>",
"limit": 5
}
'import requests
url = "https://grm-api.vercel.app/category/faq"
payload = {
"query": "<string>",
"category": "<string>",
"limit": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', category: '<string>', limit: 5})
};
fetch('https://grm-api.vercel.app/category/faq', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://grm-api.vercel.app/category/faq",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'category' => '<string>',
'limit' => 5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://grm-api.vercel.app/category/faq"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"category\": \"<string>\",\n \"limit\": 5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://grm-api.vercel.app/category/faq")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"category\": \"<string>\",\n \"limit\": 5\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://grm-api.vercel.app/category/faq")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"category\": \"<string>\",\n \"limit\": 5\n}"
response = http.request(request)
puts response.read_body{
"status": "<string>",
"items": [
{
"question": "<string>",
"answer": "<string>",
"category": "<string>",
"relevance_score": 123
}
]
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Category & FAQ
Get FAQs
Retrieve FAQs based on a query
POST
/
category
/
faq
cURL
curl --request POST \
--url https://grm-api.vercel.app/category/faq \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"category": "<string>",
"limit": 5
}
'import requests
url = "https://grm-api.vercel.app/category/faq"
payload = {
"query": "<string>",
"category": "<string>",
"limit": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', category: '<string>', limit: 5})
};
fetch('https://grm-api.vercel.app/category/faq', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://grm-api.vercel.app/category/faq",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'category' => '<string>',
'limit' => 5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://grm-api.vercel.app/category/faq"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"category\": \"<string>\",\n \"limit\": 5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://grm-api.vercel.app/category/faq")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"category\": \"<string>\",\n \"limit\": 5\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://grm-api.vercel.app/category/faq")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"category\": \"<string>\",\n \"limit\": 5\n}"
response = http.request(request)
puts response.read_body{
"status": "<string>",
"items": [
{
"question": "<string>",
"answer": "<string>",
"category": "<string>",
"relevance_score": 123
}
]
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Retrieves frequently asked questions (FAQs) based on a query. This endpoint searches for relevant FAQ items that match the provided query text and returns them sorted by relevance.
Request
The request requires:query: The text to search for relevant FAQs
category: Filter FAQs by a specific categorylimit: Maximum number of FAQ items to return (default: 5)
Response
The response includes:status: Operation statusitems: Array of FAQ items, each containing:question: The frequently asked questionanswer: The answer to the questioncategory: Category of the FAQ itemrelevance_score: A score indicating how relevant this FAQ is to the query
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Query to search for relevant FAQs